/* Copyright (C) 2002 GFRN systems

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.

   The latest version of this program may be found at
   http://CQiNet.sourceforge.net

   $Log: configfile.h,v $
   Revision 1.3  2003/08/31 23:10:23  wb6ymh
   Modified read_config() to take an already opened file handle rather than
   a filename so the config file can be kept open between passes.

   Revision 1.2  2003/08/16 13:48:20  wb6ymh
   1. Modified config_entry to support multiple pass configuration.
   2. Added Pass argument to read_config() prototype.

   Revision 1.1.1.1  2002/10/06 17:00:22  wb6ymh
   Move common header files to inc subdirectory from src.

   Revision 1.2  2002/09/14 16:46:42  wb6ymh
   Added return error codes to set functions.

   Revision 1.1.1.1  2002/08/10 20:33:41  wb6ymh
   initial import

*/

#ifndef CONFIGFILE_H_
#define CONFIGFILE_H_

struct config_entry {
   char *var_name;      // variable name
   char *var_type;      // variable type
   void *var_ptr;       // pointer to variable
   int   Flags;
      #define CON_FLG_PASS1      0x0   // prior to conference initializaton
      #define CON_FLG_PASS2      0x1   // after initialization
      #define CON_FLG_PASS3      0x2   // after 1st station list is received
      #define CON_FLG_PASS4      0x3   // after 2nd server login succeeds
      #define CON_FLG_PASS(x)    ((x & 0x7)+1)
      
      #define CON_FLG_REQUIRED   0x8
      #define CON_FLG_SET        0x10
      #define CON_FLG_IGNORE     0x20
      #define CON_FLG_ONCE_ONLY  0x40
   int (*SetFunc)(struct config_entry *p, char *Arg);
};


#define  CONFIG_OPEN_ERROR       1  // specified configuration file not found
#define  CONFIG_REQUIRED_MISSING 2  // required variable was not set
#define  BAD_VALUE               3  // variable couldn't be assigned

void SetConfigDefaults(int bSet);
int read_config(FILE *fp,struct config_entry *config_vars,int Pass);
int ReReadConfig();

#endif
